## pydataverse 0.3.4

=== requirements.txt ===
# Requirements
httpx==0.27.0
jsonschema==4.21.1

## pydataverse 0.3.3

=== debian/changelog ===
pydataverse (0.3.3-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Mon, 03 Jun 2024 14:16:44 +0100

pydataverse (0.3.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1071073)

 -- Edward Betts <edward@4angle.com>  Mon, 27 May 2024 11:36:42 +0200

=== debian/control ===
Source: pydataverse
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               pybuild-plugin-pyproject,
               python3-all,
               python3-poetry-core,
               python3-sphinx <!nodoc>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/gdcc/pyDataverse
Vcs-Browser: https://salsa.debian.org/python-team/packages/pydataverse
Vcs-Git: https://salsa.debian.org/python-team/packages/pydataverse.git

Package: python3-pydataverse
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Python module for interacting with Dataverse APIs
 pyDataverse provides a comprehensive Python interface for interacting with
 Dataverse's APIs, facilitating the manipulation, validation, import, and
 export of all Dataverse data-types, including Dataverses, Datasets, and
 Datafiles.  Whether it's for importing large volumes of data into Dataverse,
 testing instances post-deployment, or executing basic API calls, pyDataverse
 streamlines these processes. Its fully Open Source license ensures it is
 accessible for everyone to use. Features include a comprehensive API wrapper
 covering all Dataverse API endpoints, data models for key Dataverse data
 types, data conversion tools for Dataverse's JSON format, easy mass
 imports/exports through CSV templates, utility functions, documented examples,
 custom exceptions, and a test suite. This module supports Python 3.6 and newer
 versions, making it a versatile tool for developers working with Dataverse.

## pydataverse 0.3.4

=== debian/changelog ===
pydataverse (0.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for docs to Build-Depends-Indep.

 -- Edward Betts <edward@4angle.com>  Mon, 23 Sep 2024 08:05:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: pydataverse
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Edward Betts <edward@4angle.com>
+Uploaders:
+ Edward Betts <edward@4angle.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               dh-sequence-sphinxdoc <!nodoc>,
-               pybuild-plugin-pyproject,
-               python3-all,
-               python3-poetry-core,
-               python3-sphinx <!nodoc>,
-               python3-setuptools
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-poetry-core,
+ python3-setuptools,
+Build-Depends-Indep:
+ python3-sphinx <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/gdcc/pyDataverse
@@ -19,8 +22,12 @@
 
 Package: python3-pydataverse
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${sphinxdoc:Depends},
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Description: Python module for interacting with Dataverse APIs
  pyDataverse provides a comprehensive Python interface for interacting with
  Dataverse's APIs, facilitating the manipulation, validation, import, and

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyDataverse

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd pyDataverse/docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees source _build/html

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild
	rm -rf $(CURDIR)/debian/*/usr/lib/*/dist-packages/*/docs

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pyDataverse/docs/_build/

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pydataverse-$1\.tar\.gz/ \
  https://github.com/gdcc/pyDataverse/tags .*/v?(\d\S+)\.tar\.gz
